import time, threading

STOP = False
stop_num = 0

def loading_animation():
    global STOP, stop_num
    bar = [
    " [=     ]",
    " [ =    ]",
    " [  =   ]",
    " [   =  ]",
    " [    = ]",
    " [     =]",
    " [    = ]",
    " [   =  ]",
    " [  =   ]",
    " [ =    ]",
    ]
    i = 0

    while True:
        print(bar[i % len(bar)], end="\r")
        time.sleep(.2)
        i += 1
        if STOP:
            print("\r            ")
            stop_num -= 1
            if stop_num == 0:
                STOP = False
            break

def start_loading():
    threading.Thread(target=loading_animation).start()

def stop_loading():
    global STOP, stop_num
    STOP = True
    stop_num += 1